Skip to content
Start here

Delete K2 stream

client.k2.streams.delete(stringstreamID, StreamDeleteParams { account_id } params, RequestOptionsoptions?): StreamDeleteResponse
DELETE/accounts/{account_id}/k2/streams/{stream_id}

Delete a K2 stream in an account. Deleting a stream that does not exist also succeeds.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
streamID: string

Specifies the public ID of the K2 stream.

maxLength32
minLength32
params: StreamDeleteParams { account_id }
account_id: string

Specifies the public ID of the account.

maxLength32
minLength32
ReturnsExpand Collapse
StreamDeleteResponse = unknown

Delete K2 stream

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const stream = await client.k2.streams.delete('053e105f4ecef8ad9ca31a8372d0c353', {
  account_id: '0123105f4ecef8ad9ca31a8372d0c353',
});

console.log(stream);
{
  "errors": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "result": {},
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 0
    }
  ],
  "result": {},
  "success": true
}